# Generated by Django 2.2.8 on 2019-12-23 09:10
# pylint: disable=invalid-name,missing-docstring
from django.db import migrations


def generate_sku(apps, schema_editor):  # pylint: disable=unused-argument
    """Simply use the pk as the SKU."""
    # We can't import the Product model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    Product = apps.get_model("products", "Product")
    for product in Product.objects.all():
        product.sku = f"{product.pk}"
        product.save()


class Migration(migrations.Migration):

    dependencies = [("products", "0002_product_sku")]

    operations = [migrations.RunPython(generate_sku)]
